[needs-packaging] Mozilla Weave extension for Firefox

Bug #246808 reported by Craig on 2008-07-09
36
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Firefox Extensions
Undecided
Craig
Baltix
Undecided
Unassigned
Ubuntu
Wishlist
Craig
Declined for Hardy by Brian Murray
Declined for Intrepid by Brian Murray

Bug Description

"Weave is a Mozilla Labs project to integrate web services into Firefox by allowing users to securely share their data with other users and 3rd parties. As such, the Weave encompasses a Firefox add-on, a server component, data sharing APIs, etc." - http://wiki.mozilla.org/Labs/Weave

Weave is creating a pretty good amount of buzz - it would be great if people could install it without needing to compile it themselves (right now, only x86 binaries are available, leaving us amd64 users out in the cold).

Compilation instructions are here: http://wiki.mozilla.org/Labs/Weave/Building

It looks like it's pretty straightforward - I'd be willing to bet someone familiar with Firefox extension packaging could do this really quickly.

Alexander Sack (asac) wrote :

any news on this? If you run into issues, feel free to ask on #ubuntu-mozillateam for help .... remember to wait for an answer ;)

Ari (ari-reads) wrote :

hi, any chance of posting a working xpi? all my compilation attempts are giving me hundreds of error messages.
thanks

Alexander Sack (asac) wrote :

craig, if you need help on building weave, please visit us in #ubuntu-mozillateam.

John Vivirito (gnomefreak) wrote :

Craig, is there an ETA on this extension? I see you stated help is welcome, do you need help with this?

Changed in firefox-extensions:
assignee: nobody → candrews
status: New → In Progress
assignee: candrews → candrews-integralblue

On Mon, Dec 08, 2008 at 02:36:59PM -0000, John Vivirito wrote:
> Craig, is there an ETA on this extension? I see you stated help is
> welcome, do you need help with this?

I think we should do weave and not block on someone "claiming" this
and then not doing anything.

 - Alexander

John Vivirito (gnomefreak) wrote :

On 12/14/2008 11:01 AM, Alexander Sack wrote:
> On Mon, Dec 08, 2008 at 02:36:59PM -0000, John Vivirito wrote:
>> Craig, is there an ETA on this extension? I see you stated help is
>> welcome, do you need help with this?
>
> I think we should do weave and not block on someone "claiming" this
> and then not doing anything.
>
> - Alexander
>
as per the extensions wiki it shouldnt be added to the top section
unless user plans on working on it or has started it. If something comes
up than move it down to needs maintainer.
Alexander we really need to go over that page and clean it up a bit. the
top section is getting long and we should push the ones that are
done.maybe make another section for finished extensions once they are
pushed.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

I'm posting instrunctions about Weave 0.2.98 compilation on Intrepid here so that them will not get lost and maybe they will be indexed.

1) hg clone http://hg.mozilla.org/labs/weave
2) cd weave; patch -p1 < ubuntu-intrepid.patch
3) make sdkdir=/usr/lib/xulrunner-devel-1.9.0.5 xpi

Alberto Berti (azazell) wrote :

Ah, that was possible only with the invaluable help of Alexander on #ubuntu-mozillateam!
bye

summary: - [needs-packaging] Mozilla Weave
+ [needs-packaging] Mozilla Weave extension for Firefox

Hi,

just wanted to let you know that Weave 1.0 has finally been released:

<http://blog.mozilla.com/blog/2010/01/29/mozilla-labs-releases-weave-1-0/>

What would be even more interesting is the packaging of weave server. Is anybody already working on it? Weave-server allows to setup your own sync server, quite handy if you have a large local area network and you want to have your users sync their Firefoxes to a local server. It can be found here:

<https://wiki.mozilla.org/Labs/Weave/Sync/1.0/Setup>

Adrian

Fabián Rodríguez (magicfab) wrote :

Weave has now become Firefox Sync and is also integrated into Firefox as a core functionality.

Changed in ubuntu:
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers